Get DAMM v2 vault claimables
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/token-launch/damm-v2/vault-claimables \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/token-launch/damm-v2/vault-claimables"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/token-launch/damm-v2/vault-claimables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"vaults": [
{
"kind": "partner",
"wallet": "<string>",
"quoteMint": "<string>",
"quoteDecimals": 123,
"vaultAta": "<string>",
"claimableAmount": "<string>",
"claimableDisplayAmount": 123
}
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Token Launch
Get DAMM v2 Vault Claimables
Every non-empty partner/deployer aggregate vault balance for a wallet. Partners and deployers do not own a DAMM v2 position directly; their revenue share accrues into a per-wallet aggregate vault (one per quote mint) that is swept with this and the claim-vault endpoint.
GET
/
token-launch
/
damm-v2
/
vault-claimables
Get DAMM v2 vault claimables
Authorizations
API key authentication. Provide your API key as the header value.
Query Parameters
Base58 public key of the partner/deployer wallet
⌘I
